# DateUtils Class Reference
[Various accompanying utilities]

Utilities for playing with dates and time. More...

Inheritance diagram for DateUtils:
[legend]

List of all members.

## Static Public Member Functions

static | getAgeByBirthDate (Date $birthDate, $actualDate=null)
static | makeFirstDayOfMonth (Date $date)
static | makeLastDayOfMonth (Date $date)
static | makeDatesListByRange (DateRange $range, IntervalUnit $unit, $hash=true)
static | alignToSeconds (Timestamp $stamp, $seconds)

## Detailed Description

Utilities for playing with dates and time.

Definition at line 17 of file DateUtils.class.php.

## Member Function Documentation

static DateUtils::alignToSeconds | ( | Timestamp $ | stamp,
|  | $ | seconds |
| ) |  |  | `[static]`

Returns:
  Timestamp

Definition at line 89 of file DateUtils.class.php.

References Timestamp::create(), and Date::toStamp().

Here is the call graph for this function:

static DateUtils::getAgeByBirthDate | ( | Date $ | birthDate,
|  | $ | actualDate = `null` |
| ) |  |  | `[static]`

Definition at line 19 of file DateUtils.class.php.

References Date::getDay(), Date::getMonth(), Date::getYear(), Assert::isInstance(), and Date::makeToday().

Here is the call graph for this function:

static DateUtils::makeDatesListByRange | ( | DateRange $ | range,
|  | IntervalUnit $ | unit,
|  | $ | hash = `true` |
| ) |  |  | `[static]`

Definition at line 61 of file DateUtils.class.php.

References Date::create(), DateRange::getEnd(), IntervalUnit::getName(), DateRange::getStart(), and IntervalUnit::truncate().

Here is the call graph for this function:

static DateUtils::makeFirstDayOfMonth | ( | Date $ | date | ) | `[static]`

Definition at line 45 of file DateUtils.class.php.

References Timestamp::create(), Date::getMonth(), and Date::getYear().

Here is the call graph for this function:

static DateUtils::makeLastDayOfMonth | ( | Date $ | date | ) | `[static]`

Definition at line 53 of file DateUtils.class.php.

References Timestamp::create(), Date::getMonth(), and Date::getYear().

Here is the call graph for this function:

The documentation for this class was generated from the following file:

- main/Utils/DateUtils.class.php